# inquiryPayment

`POST /aps/api/v1/payments/inquiryPayment`

The **inquiryPayment** API is used by the Acquiring Service Provider (ACQP) to query the payment result if no payment result is received after a certain period of time. 

**Note:** In the following sections, Mobile Payment Provider (MPP) is also known as Payment Service Provider. For example, the _pspId_ parameter specifies the ID that identifies an MPP. 

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see:

-   [Request header](api_overview.md#3mLq0) 
-   [Response header](api_overview.md#YdmVS)

**Note:** 

Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

-   If the data type of a field is Integer and its value is 20, set it as "20".
-   If the data type of a field is Boolean and its value is `true`, set it as "true".

## Request parameters

#### paymentRequestId (String)

The unique ID that is assigned by the ACQP to identify a payment order.

**Note**: Required if the _paymentId_ parameter is not specified.

More information:

- Maximum length: 64 characters

#### paymentId (String)

The unique ID that is assigned by Alipay+ to identify a payment order.

**Note**: Required if the _paymentRequestId_ parameter is not specified.

More information:

- Maximum length: 64 characters

## Response parameters

#### result (Result, REQUIRED)

The result of the business processing, including the result status, result code, and result message. For more information about how to handle the result of the **inquiryPayment** API, see _Result processing logic._

##### resultCode (String, REQUIRED)

The result code that indicates the detailed processing result.

More information:

- Maximum length: 64 characters

##### resultStatus (String, REQUIRED)

The result status that indicates the processing result. Valid values are:

-   `S`: Successful
-   `F`: Failed
-   `U`: Unknown

##### resultMessage (String)

The result message that describes the result code in detail.

More information:

- Maximum length: 256 characters

#### paymentResult (Result)

The result of the payment. See the _Payment result_ _codes_ table below for details.

**Note**: Returned if the value of the _result.resultStatus_ parameter is `S`, which means that the inquiry is successful.

##### resultCode (String, REQUIRED)

The result code that indicates the detailed processing result.

More information:

- Maximum length: 64 characters

##### resultStatus (String, REQUIRED)

The result status that indicates the processing result. Valid values are:

-   `S`: Successful
-   `F`: Failed
-   `U`: Unknown

##### resultMessage (String)

The result message that describes the result code in detail.

More information:

- Maximum length: 256 characters

#### acquirerId (String)

The unique ID that is assigned by Alipay+ to identify an ACQP.

**Note**: Returned by Alipay+ if the value of the _result.resultStatus_ parameter is `S`, which means that the inquiry is successful.

More information:

- Maximum length: 64 characters

#### pspId (String)

The unique ID that is assigned by Alipay+ to identify an MPP. 

**Note**: Returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S`, which means that the payment succeeds.

More information:

- Maximum length: 64 characters

#### paymentRequestId (String)

The unique ID that is assigned by the ACQP to identify a payment order.

**Note**: Returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S`, which means that the payment succeeds.

More information:

- Maximum length: 64 characters

#### paymentId (String)

The unique ID that is assigned by Alipay+ to identify a payment order.

**Note**: This parameter is returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S`, which means that the payment succeeds; otherwise, this parameter may or may not be returned.

#### paymentAmount (Amount)

The amount that the ACQP requests to receive from Alipay+. The currency of the amount is the same as the one that the ACQP uses to create the payment order.

**Note**: Returned if the value of the _paymentResult.resultStatus_ parameter is `S`, which means that the payment succeeds.

##### currency (String, REQUIRED)

The currency code of the amount. The value of this parameter must be an alphabetic code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard, for example, "EUR" for Euros.

More information:

- Maximum length: 3 characters

##### value (Integer, REQUIRED)

The value of the amount as a natural number. By default, the value of this parameter is in the smallest currency unit. For example, if the currency is USD and the amount is $1.00, set the value of this parameter to 100; or if the currency is JPY and the amount is ￥1, set the value of this parameter to 1.

More information:

- Value range: 1 - unlimited

#### paymentTime (Datetime)

The date and time when the payment order reaches a final state.

**Note**: Returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S`, which means that the payment succeeds.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### customerId (String)

The unique ID that is assigned by Alipay+ to identify an MPP user.

**Note**: Returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S` and the MPP provides a unique ID that identifies the user.

More information:

- Maximum length: 64 characters

#### walletBrandName (String)

The brand name of the MPP that is displayed to the customer.

**Note**: Returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S`, which means that the payment succeeds.

More information:

- Maximum length: 128 characters

#### transactions (Array<Transaction>)

The list of refund transactions that are related to the queried payment order.

**Note**: Returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S` and at least one refund transaction is linked to the payment order.

More information:

- Maximum size: Unlimited

##### transactionResult (Result, REQUIRED)

The result of the transaction, including the result status, result code, and result message.

###### resultCode (String, REQUIRED)

The result code that indicates the detailed processing result.

More information:

- Maximum length: 64 characters

###### resultStatus (String, REQUIRED)

The result status that indicates the processing result. Valid values are:

-   `S`: Successful
-   `F`: Failed
-   `U`: Unknown

###### resultMessage (String)

The result message that describes the result code in detail.

More information:

- Maximum length: 256 characters

##### transactionId (String)

The unique ID that is assigned by Alipay+ to identify a transaction. 

**Note**:

-   The value of this parameter is the same as that of the _refundId_ parameter if _transactionType_ is `REFUND`.
-   Required if the transaction is completed.

More information:

- Maximum length: 64 characters

##### transactionType (String, REQUIRED)

The type of transaction. Valid values are: 

-   `REFUND`: indicates a refund transaction

##### transactionStatus (String, REQUIRED)

The status of the transaction. Valid values are:

-   `SUCCESS`: indicates that the transaction is successful.
-   `FAIL`: indicates that the transaction failed.
-   `PROCESSING`: indicates that the transaction is under processing.
-   `CANCELLED`: indicates that the transaction is canceled.

##### transactionAmount (Amount, REQUIRED)

The amount of the transaction.

**Note**: The value of this parameter is the same as that of the _refundAmount_ parameter if _transactionType_ is `REFUND`.

###### currency (String, REQUIRED)

The currency code of the amount. The value of this parameter must be an alphabetic code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard, for example, "EUR" for Euros.

More information:

- Maximum length: 3 characters

###### value (Integer, REQUIRED)

The value of the amount as a natural number. By default, the value of this parameter is in the smallest currency unit. For example, if the currency is USD and the amount is $1.00, set the value of this parameter to 100; or if the currency is JPY and the amount is ￥1, set the value of this parameter to 1.

More information:

- Value range: 1 - unlimited

##### transactionRequestId (String, REQUIRED)

The unique ID that is assigned by the ACQP to identify a transaction request.

**Note**: The value of this parameter is the same as that of the _refundRequestId_ parameter if _transactionType_ is `REFUND`.

More information:

- Maximum length: 64 characters

##### transactionTime (Datetime)

The time when the transaction is completed.

**Note**: Required if the transaction is completed.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### settlementAmount (Amount)

The gross amount that Alipay+ settles to the ACQP. When the settlement currency (specified on the _settlementAmount.currency_ parameter) is different from the payment currency (specified on the _paymentAmount.currency_ parameter), the settlement amount that is specified on the _settlementAmount.value_ parameter is calculated based on the _paymentAmount_ and _settlementQuote_ parameters.

**Note**: Returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S`, which means that the payment succeeds.

##### currency (String, REQUIRED)

The currency code of the amount. The value of this parameter must be an alphabetic code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard, for example, "EUR" for Euros.

More information:

- Maximum length: 3 characters

##### value (Integer, REQUIRED)

The value of the amount as a natural number. By default, the value of this parameter is in the smallest currency unit. For example, if the currency is USD and the amount is $1.00, set the value of this parameter to 100; or if the currency is JPY and the amount is ￥1, set the value of this parameter to 1.

More information:

- Value range: 1 - unlimited

#### settlementQuote (Quote)

The exchange rate between the settlement currency (specified on the _settlementAmount.currency_ parameter) and the payment currency (specified on the _paymentAmount.currency_ parameter).

**Note**: Returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S` and the settlement currency is different from the payment currency.

##### quoteId (String, REQUIRED)

The unique ID that is assigned by Alipay+ to identify an exchange rate.

More information:

- Maximum length: 64 characters

##### quoteCurrencyPair (String, REQUIRED)

A currency pair, of which the first listed currency (also called base currency) is quoted against the second currency (also called quote currency). The value of this parameter is in the format of `_{base_currency}/{quote_currency}_`, where `_{base_currency}_` and `_{quote_currency}_` are alphabetic codes that follow the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. For example, if the base currency is euro and the quote currency is dollar, the value of this parameter is EUR/USD.

More information:

- Maximum length: 8 characters

##### quotePrice (Decimal, REQUIRED)

The quotation of the exchange rate between the currency pair that is specified on the _quoteCurrencyPair_ parameter.

More information:

- Value range: 0 - unlimited

##### quoteStartTime (Datetime)

The time when the quotation (specified on the _quotePrice_ parameter) takes effect.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### quoteExpiryTime (Datetime)

The time when the quotation (specified on the _quotePrice_ parameter) expires.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### baseCurrency (String)

The first currency in the currency pair that is specified on the quoteCurrencyPair parameter. The value is an alphabetic code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

##### quoteUnit (String)

The amount in the base currency that is specified on the _baseCurrency_ parameter.

More information:

- Maximum length: 12 characters

#### customsDeclarationAmount (Amount)

The maximum amount that is to be declared by the ACQP to customs. The currency of the amount is the currency used by the MPP's user. For example, if the user uses ALIPAY\_CN to pay, the currency is CNY.

**Note**: Returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S` and customs declaration is required by the MPP's local authority (for now this only includes the Chinese Mainland).

##### currency (String, REQUIRED)

The currency code of the amount. The value of this parameter must be an alphabetic code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard, for example, "EUR" for Euros.

More information:

- Maximum length: 3 characters

##### value (Integer, REQUIRED)

The value of the amount as a natural number. By default, the value of this parameter is in the smallest currency unit. For example, if the currency is USD and the amount is $1.00, set the value of this parameter to 100; or if the currency is JPY and the amount is ￥1, set the value of this parameter to 1.

More information:

- Value range: 1 - unlimited

#### mppPaymentId (String)

The unique ID that is assigned by the MPP to identify a payment order.

This parameter is returned by Alipay+ if the value of the _paymentResult.resultStatus_ parameter is `S`, which means that the payment succeeds.

More information:

- Maximum length: 64 characters

## More information

### Result processing logic

Alipay+ returns the following two kinds of results:

-   _result_: specifies whether the **inquiryPayment** API request is received successfully.
-   _paymentResult:_ specifies the payment result.

You might receive different results from Alipay+. Follow the instructions below to handle the result.  

<table style="width:736px;outline:none;border-collapse:collapse;border:1px solid rgb(217, 217, 217)" class="lake-table"><colgroup><col width="107" span="1"><col width="134" span="1"><col width="156" span="1"><col width="339" span="1"></colgroup><tbody><tr style="height:33px"><td id="uc3b17877" style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="ad8b3534ab05087c6e8d35162dafab15" id="ua6515d4b" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><strong><span id="u4e018a36">result.resultStatus</span></strong></p></td><td id="u46219676" style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="69f10e36ab413446b0b3072666dff950" id="u8ccf682b" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><strong><span id="u8bcb365e">paymentResult.resultStatus</span></strong></p></td><td id="u3701ba13" style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="09a359be161a29d3e7789b5dddc270cc" id="u27863363" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><strong><span id="udaf29303">Payment status</span></strong></p></td><td id="u2a5adbe2" style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="33e50ceef7f355ccb434e3ac8d68b5e3" id="ua9f56d8c" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><strong><span id="u1985af92">Actions</span></strong></p></td></tr><tr style="height:33px"><td id="ua2bc13a4" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="fec592d5f2feda21717009501fda8e34" id="ube09a859" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code id="uc37cffce" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="u3900d7f6">S</span></code></p></td><td id="u2716fe0e" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="4bee4d76dcbde22c3b21b5d7b3d670fd" id="u02ddcbac" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code id="u9fa8ef78" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="u30bb687e">S</span></code></p></td><td id="uc76d5938" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="ec67a6db3a8c218797cb7ef78fd9eda4" id="u3857884a" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="uc947a3e1"></span><span id="uecb7f73d">Payment succeeds.</span></p></td><td id="u988e51af" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="34d4cd6b5e7bd48c6a5a63cf69734fb8" id="u58745290" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="udc882838">Update the status from your server side.</span></p></td></tr><tr style="height:33px"><td id="uf449038f" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="c66490a70242765b11a137c41b54e44c" id="ub25a8662" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code id="u00bfb966" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="uba1bd163">S</span></code></p></td><td id="uc1c10fc1" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="33fb4290f96c90252519a8d66686e299" id="ub514041c" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code id="u37892822" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="u626bb282">F</span></code></p></td><td id="uf50b1213" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="ec7d6b1eeb0a5e9da13bbfa4b23f7cef" id="ufb63a690" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u37782c3b">If </span><em><span id="uef5bd8f7">paymentResult.resultCode</span></em><span id="u02144224"> is </span><code id="u738111c3" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="u6c3a3d37">ORDER\_IS\_CLOSED</span></code><span id="u9556135f">, the payment order is closed or canceled; otherwise, the payment fails.</span></p></td><td id="ud525ba7d" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="ecaa5cb47e017b5f8447f69d72b66ced" id="u75269822" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="ubceaa455">Take actions according to the payment result code (specified on the </span><em><span id="uf1e00445">paymentResult.resultCode </span></em><span id="uc234cd46">parameter). For more information, see the Result codes section below.</span></p></td></tr><tr style="height:33px"><td id="u178e484a" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="053236fddd0880f90a29def74098f3f3" id="u177ccbe9" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code id="u7604a42f" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="u50b38dcc">S</span></code></p></td><td id="u9f8780a6" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="4c6ea4777d63f83853ee4ee521886460" id="u20783f0f" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code id="ub2308a57" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="ue8aa5675">U</span></code></p></td><td id="uc37b80bb" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="ca16086700ea2d8495011b6574d9aaf9" id="uab88a665" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="ucbf1baa4">Payment is in processing.</span></p><p data-lake-id="13b85b5883c90302f901fd8a8ba358de" id="u33a6f5b8" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u63b52113"></span></p></td><td id="ud2ebef52" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="bb604876d6562b94b2ee963bec130d4e" id="ud2b987db" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="ubf967d6d">Keep inquiring within the payment expiry time. For more information about inquiry rules for different products, see the Payment result inquiry rules section below. </span></p><p data-lake-id="134a1c4f7068b98280fa22c3c5fa8cc0" id="uf6b4f268" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u7ab9125e">If you still receive the same payment result of </span><code id="u75a00fce" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="udbb45134">U</span></code><span id="uc29bd9d9"> </span><span id="u18a27114">after the payment expires or after your inquiry times exceed the maximum limit</span><span id="u1f566e7f">, call the </span><strong><span id="u8155464f">cancelPayment</span></strong><span id="u960979cf"> API</span><span id="ufe5e224f"> to cancel the payment</span><span id="u2defedc2">.</span></p></td></tr><tr style="height:33px"><td id="u43751789" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="4006d146e61e25ac9005c0a49df751b5" id="ucfee8ca0" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code id="u67e41c80" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="uf205d05a">F</span></code></p></td><td id="ue30d2aca" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="f71086e474085c9c8680660ab173bb9c" id="u86873b8a" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code id="udced5641" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="u371a08ad">F</span></code></p></td><td id="ud6c3dcc2" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="505c5ce43fa1f4fd4958fe73495b56df" id="ucf271201" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u889fbae1">The payment fails or the payment order does not exist.</span></p></td><td id="u4a191f67" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><ul data-lake-id="a9c5f39f82fae0817dc4037991541cd9" lake-indent="0" style="list-style-type:disc;padding-left:23px;margin:0px;font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word"><li data-lake-id="e973a2a3302a8b37218ec7a679a39141" id="uff85782d"><span id="u3ad4a487">For cases where the payment fails, take actions according to the payment result code (specified on the </span><em><span id="uec1466d6">paymentResult.resultCode </span></em><span id="ub6625353">parameter) or contact the technical support team at </span><a href="mailto:connect\_support@service.alipay.com" target="\_blank"><span id="uae5c86ef">connect\_support@service.alipay.com</span></a><span id="u14bf821b">.</span></li><li data-lake-id="2e9f903c6be9edf2a1341a7155b20644" id="uf6a6c29b"><span id="ua68f2732">For cases where the payment order does not exist, the reason might be:</span></li></ul><ul data-lake-id="49626009a4952e6aa4c35f7b0a3b35ce" lake-indent="1" style="list-style-type:none;padding-left:23px;margin:0px;font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word"><ul data-lake-id="974f53dec0689408301e449226f8fa2d" lake-indent="0" style="list-style-type:circle;padding-left:23px;margin:0px;line-height:1.74"><li data-lake-id="774e389fa36beed3402d0e7a9cc731a9" id="uffc893fe"><span id="u762695e5">The payment order ID is incorrect. Use the correct payment order ID to perform inquiries. </span></li><li data-lake-id="3decc5ec00971fe8d1c7f5b763c7fce9" id="u38abcbdf"><span id="u74b65244">The payment order is not created in the Alipay+ system yet. Keep inquiring within the payment expiry time. For more information about inquiry rules for different products, see the Payment result inquiry rules section below.</span></li></ul></ul><p data-lake-id="70383fc18bbdd0e6756565fa8ad4723c" id="ue0596ebb" style="padding-left:4em;font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="uef01cf4a">If you still receive the same payment result of </span><code id="ud58622a0" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="uab44f606">U</span></code><span id="u79a09754"> </span><span id="u928143b7">after the payment expires or after your inquiry times exceed the maximum limit</span><span id="ud43e3f56">, call the </span><strong><span id="ufc036937">cancelPayment</span></strong><span id="udb08af1d"> API</span><span id="u6f8531b3"> to cancel the payment</span><span id="u0aec1300">.</span></p></td></tr><tr style="height:33px"><td id="u1ba111c5" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="7417335427234c7f9a47b762278127ef" id="u914903d7" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code id="u3c6960e5" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="ua17bfab3">U</span></code></p></td><td id="uaa9f6abf" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="b92cb45433b984b53f16f95ecccb7d36" id="u3fb4884e" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><code id="ud20e7205" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="uff36da41">U</span></code></p></td><td id="uc7506564" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="2abbae720f543fcbf89f77bd2834147e" id="uf03a8930" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u8d58428e">Unknown exception</span></p></td><td id="u338c2efe" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="c9fdb7b11ef8def3bd4c19275a3ea0ee" id="ue8527f35" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u38a5a848">Keep inquiring within the payment expiry time. For more information about inquiry rules for different products, see the Payment result inquiry rules section below. </span></p><p data-lake-id="84e4eecf2e33e0316ad271549cc491b3" id="ufb35ee8f" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u383b1ab6">If you still receive the same payment result of </span><code id="u3323eaec" style="font-family:monospace;font-size:inherit;background-color:rgba(0, 0, 0, 0.06);padding:0px 2px;border:1px solid rgba(0, 0, 0, 0.08);border-radius:2px;line-height:inherit;overflow-wrap:break-word;text-indent:0px"><span id="ucd8a8656">U</span></code><span id="uccec5d0b"> </span><span id="uc1820dad">after the payment expires or after your inquiry times exceed the maximum limit</span><span id="u7ce1a0eb">, call the </span><strong><span id="u73325267">cancelPayment</span></strong><span id="u9b1415d2"> API</span><span id="u6b7d8456"> to cancel the payment</span><span id="u69d5f697">.</span></p></td></tr><tr style="height:33px"><td id="u88005f67" colspan="2" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="ae350a2e58dbebab4c4935e4de4eab98" id="u9b971853" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u09ecda10">No result received</span></p></td><td id="u60f70840" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="89ca2f28f093f32339f89c2d06f2254c" id="u517d1538" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u6309cd67">Unknown</span></p></td><td id="ua7dd1881" style="vertical-align:top;min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="9d9094be617edb7c2d906557390a1b22" id="u9b016250" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u07aca9b6">Keep inquiring within the payment expiry time. For more information about inquiry rules for different products, see the Payment result inquiry rules section below.</span></p><p data-lake-id="82d4c4f232fa6e0b74b622e64822ce53" id="uf9930f8e" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u33ee880a">If you still receive no payment result after the payment expires or after your inquiry times exceed the maximum limit, call the </span><strong><span id="uf283c780">cancelPayment</span></strong><span id="u09d605fc"> API to cancel the payment.</span></p></td></tr></tbody></table>

#### Payment result inquiry rules

The following table lists the payment result inquiry rules for different products.

<table id="K7fpp" style="width:749px;outline:none;border-collapse:collapse;border:1px solid rgb(217, 217, 217)" class="lake-table"><colgroup><col width="249" span="1"><col width="249" span="1"><col width="251" span="1"></colgroup><tbody><tr id="uaeadcbbe" style="height:33px"><td id="uabbe69fb" style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="09fe7d4c84cd5907b0dd9426a1854845" id="uf362c1fc" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><strong><span id="uc60acfe3">Product</span></strong></p></td><td id="u13ab8331" style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="7da5961ba32dd0c125b6beb6764899c8" id="ue8ffea99" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><strong><span id="u320cd650">Inquiry frequency</span></strong></p></td><td id="u9e826c00" style="background-color:rgb(212, 238, 252);min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="9ef820a02998e300d9c5b6bedf81f3a9" id="u1016e105" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><strong><span id="ude3f6b98">Default payment expiry time</span></strong></p></td></tr><tr id="ua9738f26" style="height:33px"><td id="u7aaefffd" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="0e58f7ed5249bc7938e9b1d00ba76c65" id="u4e182378" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u2c8010b2">Cashier Payment</span></p></td><td id="u6c662cb9" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="116b0a4eecc26ea4be92cfcc033c6768" id="u72a67809" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="uf8b2694a">An incremental frequency within the payment expiry time</span></p></td><td id="u70d69c9a" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="7c30e1f65124312715bae94dbed1bbdc" id="u24c44bf6" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u015197b8">10 minutes</span></p></td></tr><tr id="u374d5d5c" style="height:33px"><td id="u89399ad9" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="a0ec687caeb5c59d9562836140f9c83a" id="u2af97535" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u27157c78">Auto Debit</span></p></td><td id="uccb6b118" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="8a6fa62427a21dbaf0eae340029e1a25" id="u69ab36ec" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="ud5015321">10 to 20 times within the payment expiry time</span></p></td><td id="u9d024e8f" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="dd0c21790a6d7b3da6cd913097ac0747" id="ue3b0d7de" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="ud1f42ea5">60 seconds</span></p></td></tr><tr id="u55d4c114" style="height:62px"><td id="u885935cb" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="e8e2003dfad9347425a93be954111ab4" id="uadc2f8b5" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="uf2969b72">User-presented Mode Payment</span></p></td><td id="u48088d34" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="d857dd2c4f0f18134df5afe3a0668559" id="u14771ba9" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u949e59da">10 to 20 times within the payment expiry time</span></p></td><td id="uf54ae487" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="307657fc17e1a46d5e1fa593147ed46c" id="u0e19a9fd" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="uef8a085e">60 seconds</span></p></td></tr><tr id="ub86ac4fa" style="height:33px"><td id="u19fb500b" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="b7db74431f2ea39d20bcbe8e22e6c12c" id="u1a1289c3" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="u0e80025b">Merchant-presented Mode Payment</span></p></td><td id="u0ed43dfd" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="3a063b5a9599fe721672e79ee4a6fad8" id="uff205d15" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="uee0dae00">30 to 60 times within the payment expiry time</span></p></td><td id="ueabdfde8" style="min-width:90px;font-size:14px;white-space:normal;overflow-wrap:break-word;border:1px solid rgb(217, 217, 217);padding:4px 8px;cursor:default"><p data-lake-id="998145cbf8087b8e5a5f213fc0715230" id="u1c4c43ff" style="font-size:14px;color:rgb(38, 38, 38);line-height:1.74;letter-spacing:0.05em;outline-style:none;overflow-wrap:break-word;margin-top:0px;margin-bottom:0px"><span id="ud5d48154">180 seconds</span></p></td></tr></tbody></table>

## Result/Error codes

| Code | Value | Message | Further action |
| --- | --- | --- | --- |
| SUCCESS | S | Success | N/A |
| ACCESS_DENIED | F | Access is denied. | It is recommended that you contact connect_support@service.alipay.com to troubleshoot the issue. |
| INVALID_CLIENT | F | The client is invalid. | It is recommended that you contact connect_support@service.alipay.com to troubleshoot the issue. |
| INVALID_SIGNATURE | F | The signature is invalid. | Check whether the public key, signed message, and signature algorithm are as expected. |
| KEY_NOT_FOUND | F | The key is not found. | It is recommended that you contact connect_support@service.alipay.com to troubleshoot the issue. |
| MEDIA_TYPE_NOT_ACCEPTABLE | F | The server does not implement the media type that is acceptable to the client. | Use a media type that is accepted by Alipay+. |
| METHOD_NOT_SUPPORTED | F | The server does not implement the requested HTTPS method. | Ensure the HTTP method is POST. |
| NO_INTERFACE_DEF | F | API is not defined. | Check whether the request URL is correct. Ensure that the endpoint of the called API is correct. |
| ORDER_NOT_EXIST | F | The order doesn't exist. | Close the order at the ACQP side and call the cancelPayment API. |
| PARAM_ILLEGAL | F | Illegal parameters. For example, non-numeric input, invalid date. | Check whether the request parameters, including the header parameters and body parameters, are correct and valid. For more information about the parameters of each API, see Structure of the specific API reference topic. |
| PROCESS_FAIL | F | A general business failure occurred. Do not retry. | It is recommended that you contact connect_support@service.alipay.com to troubleshoot the issue. |
| REQUEST_TRAFFIC_EXCEED_LIMIT | U | The request traffic exceeds the limit. | Reduce the frequency of API calls. |
| UNKNOWN_EXCEPTION | U | An API call failed, which is caused by unknown reasons. | Try to recall the API. |

## Payment result codes

| Code | Value | Message | Further action |
| --- | --- | --- | --- |
| SUCCESS | S | Success | Update the status from the ACQP side. |
| BUSINESS_NOT_SUPPORT | F | The payment business is not supported. | Check whether the parameter values in the request message, such as merchant ID and transaction currency, conform to the contract. If yes, it is recommended that you contact connect_support@service.alipay.com to troubleshoot the issue; otherwise, correct the parameters to align with the contract. |
| CURRENCY_NOT_SUPPORT | F | The currency is not supported. | Ensure the currencies used in the request, such as payment currency and settlement currency, conform to the contract. If the issue persists, it is recommended that you contact connect_support@service.alipay.com to troubleshoot the issue. |
| EXPIRED_CODE | F | The code is expired. | Instruct the user to refresh the payment code. |
| INVALID_CONTRACT | F | The contract is invalid. | Check whether the parameter values in the request message, such as merchant ID and transaction currency, conform to the contract. If yes, it is recommended that you contact connect_support@service.alipay.com to troubleshoot the issue; otherwise, correct the parameters to align with the contract. |
| INVALID_TOKEN | F | The access token is invalid. | Instruct the user to authorize again. |
| ORDER_IS_CLOSED | F | The order is closed. | Close the order at the ACQP side. |
| PAYMENT_AMOUNT_EXCEED_LIMIT | F | The payment amount exceeds the limit that is specified by Alipay+. | It is recommended that you inform the user of the error. |
| PAYMENT_COUNT_EXCEED_LIMIT | F | The number of payments exceeds the limit. | Wait until the MPP server allows more requests. |
| PROCESS_FAIL | F | A general business failure occurred. Don't retry.  | It is recommended that you contact connect_support@service.alipay.com to troubleshoot the issue. |
| RISK_REJECT | F | The request is rejected because of the risk control. | It is recommended that you inform the user of the error. |
| UNAVAILABLE_PAYMENT_METHOD | F | The payment method is unavailable. | It is recommended that you inform the user of the error. |
| USER_AMOUNT_EXCEED_LIMIT | F | The payment amount exceeds the payment limit that is specified by the user's digital wallet. | It is recommended that you inform the user of the error. |
| USER_BALANCE_NOT_ENOUGH | F | The user balance is not enough for the payment. | It is recommended that you inform the user of the error. |
| USER_NOT_EXIST | F | The user does not exist. | It is recommended that you inform the user of the error. |
| USER_STATUS_ABNORMAL | F | The user status is abnormal. | It is recommended that you inform the user of the error. |
| PAYMENT_IN_PROCESS | U | The payment is being processed. | Call the inquiryPayment API to inquire about the payment result. |
| PARAM_ILLEGAL | F | Illegal parameters. For example, non-numeric input, invalid date. | Check and verify whether the request parameters, including the header parameters and body parameters, are correct and valid. For details on the parameters of each API, see the specific API Structure section. |

## Request

```json
{
  "paymentRequestId": "pay_1089760038715669_10277574507566920200101234567890000"
}
```

## Response

```json
{
  "acquirerId": "1111088000000000000",
  "pspId": "1022172000000000000",
  "result": {
    "resultCode": "SUCCESS",
    "resultStatus": "S",
    "resultMessage": "success"
  },
  "paymentResult": {
    "resultCode": "SUCCESS",
    "resultStatus": "S",
    "resultMessage": "success"
  },
  "paymentRequestId": "pay_1089760038715669_102775745070000",
  "paymentId": "20200101234567890130000",
  "mppPaymentId": "pay_1089760038715670_102775745070001",
  "paymentTime": "2020-01-01T12:01:01+08:30",
  "paymentAmount": {
    "value": "100",
    "currency": "JPY"
  },
  "customerId": "1230000",
  "walletBrandName": "walletName",
  "transactions": [
    {
      "transactionResult": {
        "resultCode": "SUCCESS",
        "resultStatus": "S",
        "resultMessage": "success"
      },
      "transactionId": "1111111111111110000",
      "transactionType": "REFUND",
      "transactionStatus": "SUCCESS",
      "transactionRequestId": "pay_1089760038715669_102775745070000",
      "transactionAmount": {
        "value": "50",
        "currency": "USD"
      },
      "transactionTime": "2019-06-01T12:01:01+08:30"
    }
  ],
  "settlementAmount": {
    "value": "74",
    "currency": "USD"
  },
  "settlementQuote": {
    "quoteCurrencyPair": "USD/JPY",
    "quoteExpiryTime": "2021-06-02T13:15:48+08:00",
    "quoteId": "046793306919858814",
    "quotePrice": "1.35",
    "quoteStartTime": "2021-05-30T13:15:48+08:00"
  }
}
```